echo off
:  This is an example batchfile to show actual use of RNETPOST.EXE for "post
:  processing" of echomail REP packets.  ** DON'T RUN THIS BATCH AS IS! **
:
:  After your choice of QWK/REP echomail processing has been done (RNet/QNet/
:  TNet), you need to extract the HOSTID.MSG file for RNETPOST to process...

PKUNZIP HOSTID.REP HOSTID.MSG     ; extracts HOSTID.MSG from HOSTID.REP

:  Now, we call RNETPOST to check for duplicates (default operation)...

RNETPOST HOSTID.MSG               ; kill DUPS in HOSTID.MSG file

:  With the HOSTID.MSG file processed (dups killed), we need to put it back
:  into the REP file...

PKZIP HOSTID.REP HOSTID.MSG -m    ; -m kills the file after zipping it

:  That's it.  That's all you need to add to your existing mailrun processing
:  batch files.  Now, let's look at some example commandlines for fancier use
:  of RNETPOST...
:
:  The following example adds -n4.  That will tell RNETPOST to kill any
:  messages that are over 4 days old.  If it's over 4 days old, you've either
:  not run mail recently or someone is uploading an old packet.  I personally
:  use -n9, as I have a couple users who call in only once a week (thus, they
:  could have 7-8 day old messages which are "real").

RNETPOST HOSTID.MSG -n4           ; check DUPS & over 4 days old msgs

:  In the following, we add "-dL:\LOCAL\DUPS" which is a conference I created
:  to hold any DUP messages for my later review.  All DUPS and messages over
:  4 days old would be sent to L:\LOCAL\DUPS.

RNETPOST HOSTID.MSG -n4 -dL:\LOCAL\DUPS  ; send DUPS/OLD to DUPS conference

:  Since I happen to run RNETPOST from my RNET directory, the RNETCONF file
:  is available for RNETPOST to "look up" the conference for me.  Thus, I
:  could specify the conference number (100) instead of the messagebase file:

RNETPOST HOSTID.MSG -n4 -d100     ; send DUPS/OLD to conference 100

:  Lets say you're also curious about what your users are doing -- but there
:  are simply too many conferences to read and "find" those messages.  Here
:  comes the "spy" function.  We'll add "-sL:\LOCAL\SPY" (or "-s101") to have
:  ALL messages in the REP (except those DUPS/OLD ones going to L:\LOCAL\DUPS)
:  placed there for our reading later...

RNETPOST HOSTID.MSG -n4 -dL:\LOCAL\DUPS -sL:\LOCAL\SPY
RNETPOST HOSTID.MSG -n4 -d100 -s101              ; same thing using conf #'s

:  Finally, since those two conferences are only available to the Sysop,
:  we'll add the -z switch to instruct RNETPOST to use fast -z(ippy) message
:  insertion...

RNETPOST HOSTID.MSG -n4 -d100 -s101 -z  ; DUPS/OLD to 100, all others to 101.

:  Note that the order of the switches is NOT important.  For example, we
:  could have done the same thing with...

RNETPOST -z -n4 HOSTID.MSG -s101 -dL:\LOCAL\DUPS

: 
